Update Dedicated Endpoint
curl --request PATCH \
--url https://api.tokenfactory.nebius.com/v0/dedicated_endpoints/{endpoint_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"enabled": true,
"gpu_count": 1,
"custom_weights_id": "UNSET",
"scaling": {
"min_replicas": 2,
"max_replicas": 2
}
}
'import requests
url = "https://api.tokenfactory.nebius.com/v0/dedicated_endpoints/{endpoint_id}"
payload = {
"name": "<string>",
"description": "<string>",
"enabled": True,
"gpu_count": 1,
"custom_weights_id": "UNSET",
"scaling": {
"min_replicas": 2,
"max_replicas": 2
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
enabled: true,
gpu_count: 1,
custom_weights_id: 'UNSET',
scaling: {min_replicas: 2, max_replicas: 2}
})
};
fetch('https://api.tokenfactory.nebius.com/v0/dedicated_endpoints/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"routing_key": "<string>",
"model_name": "<string>",
"flavor_name": "<string>",
"region": "<string>",
"gpu_count": 123,
"custom_weights_id": "<string>",
"scaling": {
"min_replicas": 2,
"max_replicas": 2
},
"deployment": {
"ready_replicas": 123
},
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}dedicated-endpoints
Update Dedicated Endpoint
PATCH
/
v0
/
dedicated_endpoints
/
{endpoint_id}
Update Dedicated Endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required string length:
1 - 100Maximum string length:
500Available options:
gpu-l40s-d, gpu-l40s-a, gpu-h100-sxm, gpu-h200-sxm, gpu-b200-sxm, gpu-b200-sxm-a, gpu-b300-sxm Required range:
x >= 0Minimum string length:
1Show child attributes
Show child attributes
Response
Successful Response
Available options:
gpu-l40s-d, gpu-l40s-a, gpu-h100-sxm, gpu-h200-sxm, gpu-b200-sxm, gpu-b200-sxm-a, gpu-b300-sxm Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I